org.eclipse.mat.ui.snapshot.editor

## Class HeapEditorPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.snapshot.editor.HeapEditorPane

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart

Direct Known Subclasses:
  OverviewPane

    public abstract class HeapEditorPane
    extends AbstractEditorPane

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`HeapEditorPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISnapshotEditorInput` `getSnapshotInput()`
`void` `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput input)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, contributeToToolBar, dispose, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleImage, getTitleToolTip, initWithArgument, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`createPartControl, getTitle`

### Constructor Detail

#### HeapEditorPane

    public HeapEditorPane()

### Method Detail

#### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput input)
              throws org.eclipse.ui.PartInitException

Specified by:
  `init` in interface `org.eclipse.ui.IEditorPart`
Overrides:
  `init` in class `AbstractEditorPane`
Throws:
  `org.eclipse.ui.PartInitException`

#### getSnapshotInput

    public ISnapshotEditorInput getSnapshotInput()